package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * FacturaDetalle generated by hbm2java
 */
@Entity
@Table(name="factura_detalle"
    ,catalog="sistema_ventas"
)
public class FacturaDetalle  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idfdet;
     private Empleado empleado;
     private FacturaEncabezado facturaEncabezado;
     private Productos productos;
     private Integer cantidad;
     private BigDecimal cuotaMin;
     private BigDecimal abono;
     private BigDecimal total;
     private Set<Devoluciones> devolucioneses = new HashSet<Devoluciones>(0);
     private Set<Abonos> abonoses = new HashSet<Abonos>(0);

    public FacturaDetalle() {
    }

	
    public FacturaDetalle(Productos productos, BigDecimal cuotaMin, BigDecimal abono, BigDecimal total) {
        this.productos = productos;
        this.cuotaMin = cuotaMin;
        this.abono = abono;
        this.total = total;
    }
    public FacturaDetalle(Empleado empleado, FacturaEncabezado facturaEncabezado, Productos productos, Integer cantidad, BigDecimal cuotaMin, BigDecimal abono, BigDecimal total, Set<Devoluciones> devolucioneses, Set<Abonos> abonoses) {
       this.empleado = empleado;
       this.facturaEncabezado = facturaEncabezado;
       this.productos = productos;
       this.cantidad = cantidad;
       this.cuotaMin = cuotaMin;
       this.abono = abono;
       this.total = total;
       this.devolucioneses = devolucioneses;
       this.abonoses = abonoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idfdet", unique=true, nullable=false)
    public Integer getIdfdet() {
        return this.idfdet;
    }
    
    public void setIdfdet(Integer idfdet) {
        this.idfdet = idfdet;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="empleado")
    public Empleado getEmpleado() {
        return this.empleado;
    }
    
    public void setEmpleado(Empleado empleado) {
        this.empleado = empleado;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="factura")
    public FacturaEncabezado getFacturaEncabezado() {
        return this.facturaEncabezado;
    }
    
    public void setFacturaEncabezado(FacturaEncabezado facturaEncabezado) {
        this.facturaEncabezado = facturaEncabezado;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="producto", nullable=false)
    public Productos getProductos() {
        return this.productos;
    }
    
    public void setProductos(Productos productos) {
        this.productos = productos;
    }

    
    @Column(name="cantidad")
    public Integer getCantidad() {
        return this.cantidad;
    }
    
    public void setCantidad(Integer cantidad) {
        this.cantidad = cantidad;
    }

    
    @Column(name="cuota_min", nullable=false, precision=7)
    public BigDecimal getCuotaMin() {
        return this.cuotaMin;
    }
    
    public void setCuotaMin(BigDecimal cuotaMin) {
        this.cuotaMin = cuotaMin;
    }

    
    @Column(name="abono", nullable=false, precision=7)
    public BigDecimal getAbono() {
        return this.abono;
    }
    
    public void setAbono(BigDecimal abono) {
        this.abono = abono;
    }

    
    @Column(name="total", nullable=false, precision=7)
    public BigDecimal getTotal() {
        return this.total;
    }
    
    public void setTotal(BigDecimal total) {
        this.total = total;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="facturaDetalle")
    public Set<Devoluciones> getDevolucioneses() {
        return this.devolucioneses;
    }
    
    public void setDevolucioneses(Set<Devoluciones> devolucioneses) {
        this.devolucioneses = devolucioneses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="facturaDetalle")
    public Set<Abonos> getAbonoses() {
        return this.abonoses;
    }
    
    public void setAbonoses(Set<Abonos> abonoses) {
        this.abonoses = abonoses;
    }




}


